Debian Bug report logs - #543992
automake and /usr/share/info/dir.gz

version graph

Package: automake; Maintainer for automake is Eric Dorland <eric@debian.org>; Source for automake is src:automake-1.14.

Reported by: Santiago Vila <sanvila@unex.es>

Date: Fri, 28 Aug 2009 00:03:02 UTC

Severity: important

Tags: fixed-upstream, upstream

Merged with 552501

Found in versions automake1.11/1:1.11-1, 1.11-1

Fixed in versions 1.11.2-1, automake1.11/1:1.11.2-1

Forwarded to http://debbugs.gnu.org/9773

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sanvila@unex.es, Eric Dorland <eric@debian.org>:
Bug#543992; Package automake1.11. (Fri, 28 Aug 2009 00:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
New Bug report received and forwarded. Copy sent to sanvila@unex.es, Eric Dorland <eric@debian.org>. (Fri, 28 Aug 2009 00:03:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: submit@bugs.debian.org
Subject: automake and /usr/share/info/dir.gz
Date: Fri, 28 Aug 2009 01:58:33 +0200 (CEST)
Package: automake1.11
Version: 1:1.11-1

There is some code in /usr/share/automake-1.11/am/texinfos.am which
checks whether install-info is "Debian install-info" or not:

## Only run this code if install-info actually exists, and it is not
## the Debian install-info.  FIXME: once Debian install-info goes
## away, we can remove this hack.  Some versions of Debian install-info
## print their version on stderr (e.g. 1.8.3), other do it in
## on stdout (e.g. 1.10.15).
##
## Do not use
##    install-info --version 2>&1 | sed 1q | grep -v -i debian
## as if install-info does not exist, grep -v will be happy, and
## therefore the code will be triggered although install-info is missing.
        @if (install-info --version && \
             install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
[...]

In 2003, as indicated by the comment lines, Debian "install-info --version"
started to show its output on stdout and the code had to be modified
to deal with that.

Now, install-info is GNU install-info, and the "if" will be always true,
as the very first line of "install-info --version" says:

This is not dpkg install-info anymore, but GNU install-info

which does not contain the string "debian". As a result, packages may
easily ship /usr/share/info/dir.gz files inside the .deb binary package,
exactly as it happened in 2003.

It would be very nice if "make install" populated debian/tmp as we
like it to happen and not having to remove "dir" files in debian/rules
afterwards.

Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#543992; Package automake1.11. (Mon, 24 Jan 2011 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Mon, 24 Jan 2011 23:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 543992@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Santiago Vila <sanvila@unex.es>
Cc: 543992@bugs.debian.org
Subject: Re: automake and /usr/share/info/dir.gz
Date: Mon, 24 Jan 2011 17:08:21 -0600
tags 543992 + upstream
severity 543992
quit

Santiago Vila wrote:

> There is some code in /usr/share/automake-1.11/am/texinfos.am which
> checks whether install-info is "Debian install-info" or not:
[...]
>         @if (install-info --version && \
>              install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \

Yagh.  This makes a smooth upgrade path from Debian install-info to
GNU install-info harder. See http://bugs.debian.org/610991

Ignorant questions: do distributions other than Debian take care of
running install-info automatically, too?  What would a more correct
condition for the "if" be?




Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 24 Jan 2011 23:12:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 24 Jan 2011 23:15:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'automake1.11' to 'automake'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 24 Jan 2011 23:18:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 1:1.11-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 24 Jan 2011 23:18:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions automake1.11/1:1.11-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 24 Jan 2011 23:18:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#543992; Package automake. (Tue, 25 Jan 2011 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin von Gagern <Martin.vGagern@gmx.net>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Tue, 25 Jan 2011 11:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 543992@bugs.debian.org (full text, mbox):

From: Martin von Gagern <Martin.vGagern@gmx.net>
To: 543992@bugs.debian.org
Cc: Santiago Vila <sanvila@unex.es>
Subject: Re: Bug#543992: automake and /usr/share/info/dir.gz
Date: Tue, 25 Jan 2011 12:21:58 +0100
> Ignorant questions: do distributions other than Debian take care of
> running install-info automatically, too?

Gentoo portage removes dir files from package DESTDIR:
http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=blob;f=bin/misc-functions.sh;h=46be5011cebd20945de34839f48686f8a6fa346e;hb=2ac37d36a1a265654860e9f509f6bcf420a8e734#l675

When the package is installed on a system, install-info is called again:
http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=blob;f=pym/_emerge/main.py;h=912fab51b7346367ee6f5a46f4ae6a613f73b09e;hb=2ac37d36a1a265654860e9f509f6bcf420a8e734#l166

The rpm 4.8.1 sources seem to have some mandrake-specific macros for
install-info commands in the platform.in file:
http://www.google.com/codesearch?q=install_info+file%3Aplatform.in

These macros can be called post installation or pre uninstall to call
install-info. Haven't figured where they get rid of their dir entries,
though, as I don't have an RPM-based system at my disposal.




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#543992; Package automake. (Mon, 17 Oct 2011 06:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Mon, 17 Oct 2011 06:48:06 GMT) Full text and rfc822 format available.

Message #30 received at 543992@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Santiago Vila <sanvila@unex.es>
Cc: 543992@bugs.debian.org
Subject: Re: automake and /usr/share/info/dir.gz
Date: Mon, 17 Oct 2011 01:44:38 -0500
forwarded 543992 http://debbugs.gnu.org/9773
quit

Hi,

Santiago Vila wrote:

> There is some code in /usr/share/automake-1.11/am/texinfos.am which
> checks whether install-info is "Debian install-info" or not:
[...]
> which does not contain the string "debian". As a result, packages may
> easily ship /usr/share/info/dir.gz files inside the .deb binary package,
> exactly as it happened in 2003.

Thanks for this clear explanation.  I've filed a wishlist bug upstream.




Set Bug forwarded-to-address to 'http://debbugs.gnu.org/9773'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 17 Oct 2011 06:48:08 GMT) Full text and rfc822 format available.

Forcibly Merged 543992 552501. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 17 Oct 2011 07:00:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#543992; Package automake. (Thu, 05 Jan 2012 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Thu, 05 Jan 2012 08:45:04 GMT) Full text and rfc822 format available.

Message #39 received at 543992@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Santiago Vila <sanvila@unex.es>
Cc: 543992@bugs.debian.org
Subject: Re: automake and /usr/share/info/dir.gz
Date: Thu, 5 Jan 2012 02:43:03 -0600
tags 543992 + fixed-upstream
quit

Hey,

Santiago Vila wrote:

> There is some code in /usr/share/automake-1.11/am/texinfos.am which
> checks whether install-info is "Debian install-info" or not:
[...]
> Now, install-info is GNU install-info, and the "if" will be always true,
[...]
>                                             As a result, packages may
> easily ship /usr/share/info/dir.gz files inside the .deb binary package,
> exactly as it happened in 2003.

Good catch.  v1.11.1b~15^2^2 (info: allow user to inhibit
creation/update of '${infodir}/dir', 2011-10-23) will eliminate the
autodetection altogether, replacing it with a new envvar
AM_UPDATE_INFO_DIR.

So Debian packages should probably do

	export AM_UPDATE_INFO_DIR=no

Maybe this would be worth setting in debhelper or something.  If I had
infinite time and hardware, I'd build all packages in the archive that
ship info files with install-info installed to find packages that
might need that setting.

Probably affected[*]:

 gcc-h8300-hms bison++ freehdl glame gnubiff gtypist heroes-common
 ladcca-bin opencubicplayer rrep yafc

Thanks,
Jonathan

[*] http://packages.debian.org/search?searchon=contents&keywords=dir.gz&mode=path&suite=unstable&arch=any




Added tag(s) fixed-upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 05 Jan 2012 08:45:06 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 1.11.2-1. Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. (Sun, 05 Feb 2012 03:39:06 GMT) Full text and rfc822 format available.

Marked as fixed in versions automake1.11/1:1.11.2-1. Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. (Sun, 08 Apr 2012 05:51:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:58:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.